
package de.ivu.elect.business.wahlvorschlag.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlagsdokument;
import de.ivu.elect.business.wahlvorschlag.boundary.WahlvorschlagsdokumentDAO;
import de.ivu.elect.business.wahlvorschlag.boundary.WahlvorschlagsdokumentCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWahlvorschlagsdokumentCreate {

  @Inject
  protected WahlvorschlagsdokumentDAO dao;

    @Inject
    transient Event<WahlvorschlagsdokumentCreateEvent> createEvent;



  


public void save(Wahlvorschlagsdokument entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Wahlvorschlagsdokument entity) {
        createEvent.fire(new WahlvorschlagsdokumentCreateEvent(entity));
  }

}
